Acekard2i error on 3ds

Discussion in 'Acekard' started by sadtimes, Jan 19, 2012.

Jan 19, 2012

Acekard2i error on 3ds by sadtimes at 5:00 PM (3,415 Views / 0 Likes) 7 replies

  1. sadtimes
    OP

    Newcomer sadtimes Newbie

    Joined:
    Jan 11, 2012
    Messages:
    1
    Country:
    United States
    okay so this may have already been covered, but I bought the acekard2i for my 3DS (forgot from where) and followed the installation instructions rigidly. i updated with 1.8.9 on my friends DSL and snagged some of his roms and it worked perfectly on his DSL, but when i start it on my 3DS i get the message

    "an error has occurred. Press and hold the POWER button to turn the system off. Please refer to the Operations Manual for details.

    I don't think I got a fake kard because it loaded, updated, and ran roms on a DSlite, and it opened on my 3ds just fine before I updated (I just couldnt update on the 3ds). Any idea what went wrong? my 3ds is updated, so should I wait for the next AKAIO update?
     
  2. Ris312

    Newcomer Ris312 Advanced Member

    Joined:
    Mar 5, 2011
    Messages:
    59
    Country:
    Australia
    You most likely need to update your Acekard bootloader.

    You probably have the latest firmware on your 3DS and your friend's DSi firmware may be older
    which is why the DSi loads the flashcard fine but your 3DS doesn't.
    Updates block flashcards so don't update your 3DS / DSi until there is an update for your flashcart.
    DSLite doesn't have firmware and so they cannot block flashcards from loading.

    You can check what version your flashcart runs on by checking the icon when you insert the flashcard into your 3DS:
    'Alex Rider' icon -- DSi firmware 1.4.1 Only (No 3DS support)
    'Dorasu' icon ------ DSi firmware 1.4.1 and 3DS firmware 1.0.0-1.
    'Chessmaster' icon - DSi firmware 1.4.2 and 3DS firmware 2.1.0-3.
    'Narnia' icon ------ DSi firmware 1.4.3 and 3DS firmware 3.0.0-6.

    You need to download the file "ak2ifw_update_3ds3.0_DSi1.43.zip" and extract it.
    -> http://filetrip.net/f26845-Firmware-Update-of-AK2iAcekard-2i-for-console-3DS3-0-and-DSi1-4-3-1-0.html

    Inside that zip should be 2 files:
    1. -> ak2ifw_update_3ds30_DSi143_onDSL.nds
    2. -> ak2ifw_update_3ds30_DSi143_onDSi_and_DSXL_and3DS.nds

    copy the 1st file if you are going to use a DSLite to update your flashcard.
    copy the 2nd file if you are going to use a DSi to update your flashcard.

    Place that file on your MicroSD card like you would do a ROM file.
    Take the MicroSD and put it into your flashcard and place the flashcard into your DSi / DSLite.

    Run the update file you copied onto the MicroSD card before and follow the
    instructions on-screen to update the boot-loader of your Acekard 2i.
    (Don't turn off the DSi while updating as you will brick your Acekard 2i)

    Once done, the icon of the Acekard will change to the 'Narnia' icon when it inserted into your 3DS and it should load fine :)
    When your flashcard has been updated you can safely delete the update file from your MicroSD card.
     
    1 person likes this.
  3. sonictopfan

    Member sonictopfan GBAtemp Addict

    Joined:
    Mar 2, 2010
    Messages:
    2,136
    Country:
    Kuwait
    I just bought a 3DS recently and I wanted to know, if I update my AceKard2i to run on my 3DS will I lose the ability to run it on my DS lite? I kinda wanna use the thumb stick provided with the 3DS in 3D DS games like Super Mario 64 DS, but I don't wanna lose the ability to play GBA ROMS using my Ez Flash 3in1 on the DS lite.
     
  4. Another World

    Former Staff Another World Emulate the Planet!

    Joined:
    Jan 3, 2008
    Messages:
    10,476
    Location:
    From Where???
    Country:
    Colombia
    firstly, you can't update the ak2i to run on the latest 3ds firmware. AK2i HWID 44 only supports upto 3DS v2.1 and HWID 81 only supports upto 3DS v4.3. with that said, the ds lite does not have an updatable firmware. the stock/original ak2i was designed for it, so any updates will continue to work as well. the later ak2i bootloaders resulted in slower loading times. if you are going to stick with the ds lite then you would be wise to leave the bootloader alone.

    http://wiki.gbatemp.net/wiki/Updating_the_AK2i_Bootloader

    -another world
     
  5. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    Nope, the Ak2i's latest update still works on the DS Lite... but the latest firmware updates make it slower to boot.
     
  6. sonictopfan

    Member sonictopfan GBAtemp Addict

    Joined:
    Mar 2, 2010
    Messages:
    2,136
    Country:
    Kuwait
    Thank you for the help guys, looks like I'll keep both DS lite and 3DS and use AK2i with the DS lite, in case I needed to use it on the 3DS one day I'll use it, I kinda hate slow downs, it's bad enough the AK2i has a noticeable slow down in the opening cutscene of one of my fave DS games Sonic Rush Adventure!
     
  7. Another World

    Former Staff Another World Emulate the Planet!

    Joined:
    Jan 3, 2008
    Messages:
    10,476
    Location:
    From Where???
    Country:
    Colombia
    slowdowns are related to the msd card read speed, the formatter you used, etc. it should have little, if nothing, to do with the ak2i. you could try formatting with a different cluster size to speed up your msd card a little bit.

    -another world
     
  8. sonictopfan

    Member sonictopfan GBAtemp Addict

    Joined:
    Mar 2, 2010
    Messages:
    2,136
    Country:
    Kuwait
    Well I did it anyway, I applied the update but unfortunately my 3DS is still more updated and won't read it, but the card still works fine on the DS lite, it takes a while to boot but once it boots performance seems to be quite the same, oh and the icon of the card is changed now to some kind of a horse and says ubisoft =p
     

Share This Page